corda / net.corda.core.testing / CompositeKeyGenerator

# CompositeKeyGenerator

`class CompositeKeyGenerator : Generator<CompositeKey>`

### Constructors

<init> | `CompositeKeyGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): CompositeKey`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck